## bsh
Class Remote

    java.lang.Object
      bsh.Remote

public class Remote
extends java.lang.Object

Remote executor class.

Constructor Summary
`Remote()`

Method Summary
`static int` `eval(java.lang.String url, java.lang.String text, java.lang.StringBuffer output)` Evaluate text in the interpreter at url, capturing output into output and returning a possible integer return value.
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Remote

    public Remote()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### eval

    public static int eval(java.lang.String url,
                           java.lang.String text,
                           java.lang.StringBuffer output)
                    throws java.io.IOException

  Evaluate text in the interpreter at url, capturing output into output and returning a possible integer return value.

  Throws:
    `java.io.IOException`